lower.tri {base} | R Documentation

## Lower and Upper Triangular Part of a Matrix

### Description

Returns a matrix of logicals the same size of a given matrix with entries `TRUE` in the lower or upper triangle.

### Usage

    lower.tri(x, diag = FALSE)
    upper.tri(x, diag = FALSE)

### Arguments

`x` | a matrix.
`diag` | logical. Should the diagonal be included?

### See Also

`diag`, `matrix`.

### Examples

    (m2 <- matrix(1:20, 4, 5))
    lower.tri(m2)
    m2[lower.tri(m2)] <- NA
    m2

[Package base version 2.8.1 Index]